@echo off
title Internet Explorer Repair Tool - by McAfee Support
:: Info: http://support.microsoft.com/?kbid=281679
:: Info: http://support.microsoft.com/default.aspx?scid=kb;en-us;555027
:: Info: http://support.microsoft.com/kb/q180176/

echo:
echo:    
echo:
echo             +----------------------------------------------------+ 
echo                         Internet Explorer Repair Tool                      
echo             ----------------------------------------------------  
echo                File count: 104            Last Updt: 2007-5-23 
echo             ----------------------------------------------------
echo                                                                 
echo                Description                                      
echo                                                                   
echo                This tool re-registers common Internet Explorer  
echo                file.  In many cases this will resolve issues    
echo                experienced with Internet Explorer.              
echo                                                                 
echo             R----------------------------------------------------+
echo:            
echo:
echo:
pause
CLS
echo:
echo:
echo:
echo  Please wait for the registration process to complete.
echo  This make take several minutes.

REM Detect IE Version here...
FOR /F "tokens=*" %%A IN ('REG.EXE 2^>^&1 ^| FIND.EXE "version"') DO FOR %%B IN (%%A) DO SET RegVer=%%B
FOR /F "tokens=1 delims=." %%A IN ('ECHO.%RegVer%') DO SET RegVer=%%A

IF %RegVer% GEQ 2 (
	FOR /F "tokens=2*" %%A IN ('REG.EXE QUERY "HKEY_LOCAL_MACHINE\Software\Microsoft\Internet Explorer\Version Vector" /V "IE" ^| FIND "REG_SZ"') DO SET IEVer=%%B
) ELSE (
	FOR /F "tokens=1*" %%A IN ('REG.EXE QUERY "HKEY_LOCAL_MACHINE\Software\Microsoft\Internet Explorer\Version Vector\IE" ^| FIND "REG_SZ"') DO FOR %%C IN (%%B) DO SET IEVer=%%C
)
rem %IEVer%


IF "%IEVer%"=="7.0000" GOTO SKIP
GOTO NOSKIP

:NOSKIP
regsvr32 /i shdocvw.dll /s
regsvr32 /i mshtml.dll /s		
regsvr32 /i iesetup.dll /s	

REM mshtml.dll and iesetup.dll will still produce no entry point error w/IE7, but do not appear to damage the installation


:SKIP
regsvr32 /i shell32.dll /s
regsvr32 /i urlmon.dll /s
regsvr32 /i occache.dll /s
regsvr32 scrrun.dll mstinit.exe /setup /s
regsvr32 msnsspc.dll /SspcCreateSspiReg /s
regsvr32 msapsspc.dll /SspcCreateSspiReg /s

REM MS DLL files to be registered  
FOR %%A IN (
actxprxy.dll,
advpack.dll,
acelpdec.ax,
asctrls.ocx,
browseui.dll,
browsewm.dll,
cdfview.dll,
comcat.dll,
corpol.dll,
cryptdlg.dll,
cryptext.dll,
csseqchk.dll,
danim.dll,
datime.dll,
dispex.dll,
dssenh.dll,
dxmasf.dll,
dxtmsft.dll,
dxtrans.dll,
Es.dll,
gpkcsp.dll,
hhctrl.ocx,
hlink.dll,
icmfilter.dll,
iedkcs32.dll,
iepeers.dll,
ils.dll,
imgutil.dll,
inetcfg.dll,
inetcomm.dll,
initpki.dll,
inseng.dll,
imgutil.dll,
Jobexec.dll,
jscript.dll,
l3codecx.ax,
licdll.dll,
licmgr10.dll,
lmrt.dll,
mcgdmgr.dll,
mcinsctl.dll,
mlang.dll,
mmefxe.ocx,
mobsync.dll,
mpg4ds32.ax,
msr2c.dll,
Mscat32.dll,
msctf.dll,
MSDXMLC.DLL,
mshtmled.dll,
msi.dll,
msident.dll,
msieftp.dll,
msindent.dll,
msoeacct.dll,
MSR2C.DLL,
msrating.dll,
Mssign32.dll,
Mssip32.dll,
mstime.dll,
msxml.dll,
msxml2.dll,
msxml2r.dll,
msxml3.dll,
msxml3r.dll,
msxmlr.dll,
occache.dll,
ole32.dll,
olepro32.dll,
oleaut32.dll,
oleut32.dll,
plugin.ocx,
pngfilt.dll,
rsabase.dll,
pstorec.dll,
regwizc.dll,
rsaenh.dll,
sccbase.dll,
scrobj.dll,
scrrun.dll,
sendmail.dll,
shdoc401.dll,
slbcsp.dll,
softpub.dll,
tdc.ocx,
thumbvw.dll,
urlmon.dll,
vbscript.dll,
voxmsdec.ax,
webcheck.dll,
webpost.dll,
winhttp.dll,
wintrust.dll,
wpwizdll.dll,
wshext.dll,
wshom.ocx,
xenroll.dll,
xmsconf.ocx,
) DO regsvr32 %%A /s
GOTO end

:end
cls
@echo off
echo.
echo  All Actions complete.  
echo.
echo  Press any key to close this window.
echo.
pause
GOTO done

:done
cls
EXIT